const { Model } = require('flitter-orm')

class ActivityModel extends Model {
    static get schema() {
        return {
            user_id: String,
            session_id: String,
            action: String,
            timestamp: { type: Date, default: () => new Date },
            metadata: Object,
        }
    }
}

module.exports = exports = ActivityModel
